function onCreate()
	-- background shit
	makeLuaSprite('BGLoud', 'BGLoud', -500, -100);
	setScrollFactor('BGLoud', 1, 1);

	makeLuaSprite('spotLight', 'spotlight', 300, 200);
	setBlendMode('spotLight', 'add')
	setScrollFactor('spotLight', 1, 1);

	makeLuaSprite('lmao', 'empty', 0, 0)
	makeGraphic('lmao', 9999, 9999, '000000')
	screenCenter('lmao', 'xy')

	setProperty('spotLight.alpha', 0)
	setProperty('lmao.alpha', 0)

	addLuaSprite('BGLoud', false);
	addLuaSprite('lmao', true)
	addLuaSprite('spotLight', true);
end

function onEvent(eventName, value1, value2)
	if eventName == 'spotlight' then
		cameraFlash('game', '000000', 0.5)
		if value1 == 'on' then
			setProperty('spotLight.alpha', 0.375)
			setProperty('lmao.alpha', 0.5)
		else
			setProperty('spotLight.alpha', 0)
			setProperty('lmao.alpha', 0)
		end
	end
end